﻿using RGF_DAL;
using System;
using System.Collections.Generic;
using System.Data;

namespace RGF_BLL
{
    public class Group_Bll
    {
        public int _Id { get; set; }
        public int _Category_Id { get; set; }
        public string _Name { get; set; }
        public string _Description { get; set; }

        public static int Insert_Group(int Category_Id, string Name, string Description)
        {
            RGF_DAL.Group_Dal groups = new RGF_DAL.Group_Dal();
            int R_Value = 0;
            R_Value = groups.Group(Category_Id, Name, Description);
            return R_Value;
        }

        public DataTable Gro_No_Combo()
        {
            return new Group_Dal().Gro_Combo();
        }

        public static List<Group_Bll> Full_Show()
        {
            RGF_DAL.Group_Dal grouptable = new RGF_DAL.Group_Dal();
            IDataReader dr = grouptable.Full_Display();
            List<Group_Bll> groupList = new List<Group_Bll>();
            while (dr.Read())
            {
                Group_Bll gro = new Group_Bll();
                gro._Id = Convert.ToInt32(dr["Id"]);
                gro._Category_Id = Convert.ToInt32(dr["Category_Id"]);
                gro._Name = dr["Name"].ToString();
                gro._Description = dr["Description"].ToString();
                groupList.Add(gro);
            }
            return groupList;
        }

        public int Group_No()
        {
            return new Group_Dal().Group_Num();
        }
    }
}
