﻿using System;
using System.Data;
using System.Data.SqlClient;
using System.Globalization;
using System.Management;

namespace RGF_BLL
{
    public class Information_Bll
    {
        /// <summary>
        ///  متد تبدیل تاریخ میلادی به شمسی
        /// </summary>
        /// <param name="date"></param>
        /// <returns></returns>
        public string GetPersianDate(DateTime date)
        {
            PersianCalendar persianCalendar = new PersianCalendar();
            int year = persianCalendar.GetYear(date);
            int month = persianCalendar.GetMonth(date);
            int day = persianCalendar.GetDayOfMonth(date);
            return string.Format("{0:0000}/{1:00}/{2:00}", year, month, day);
        }

        /// <summary>
        /// خواندن سریال سی پی یو
        /// </summary>
        /// <returns></returns>
        public static string Processor_SR()
        {
            ManagementObjectCollection MOC = null;
            ManagementObjectSearcher Choice = new ManagementObjectSearcher("Select * From Win32_processor");
            MOC = Choice.Get();
            string Id = "";
            foreach (ManagementObject No in MOC)
            {
                Id = No["ProcessorID"].ToString();
            }
            return Id;
        }

        /// <summary>
        /// خواند سریال مادربورد
        /// </summary>
        /// <returns></returns>
        public static string MainBoard_SR()
        {
            ManagementObjectSearcher Choice = new ManagementObjectSearcher("SELECT * FROM Win32_BaseBoard");
            ManagementObjectCollection MOC = Choice.Get();
            string MDB = "";
            foreach (ManagementObject No in MOC)
            {
                MDB = (string)No["SerialNumber"];
            }
            return MDB;
        }
    }
}
