﻿using RGF_DAL;
using System;
using System.Data;

namespace RGF_BLL
{
    public class Invoice_Bll
    {
        /// <summary>
        /// پارامترهای درج هدر فاکتور
        /// </summary>
        /// <param name="Person_Id"></param>
        /// <param name="Invoice_Type"></param>
        /// <param name="Date"></param>
        /// <param name="Type"></param>
        /// <returns></returns>
        public static int Insert_Invoice(int Person_Id, string Invoice_Type, DateTime Date, bool Type)
        {
            RGF_DAL.Invoice_Dal invoices = new RGF_DAL.Invoice_Dal();
            int R_Value = 0;
            R_Value = invoices.Invoice(Person_Id, Invoice_Type, Date, Type);
            return R_Value;
        }
        /// <summary>
        /// آخرین آیدی جدول فاکتور
        /// </summary>
        /// <returns></returns>
        public int Max_Id()
        {
            return new Invoice_Dal().Last_Id();
        }
        /// <summary>
        /// اطلاعات شرکت جهت هدر فاکتور
        /// </summary>
        /// <returns></returns>
        public DataTable Invoice_Header()
        {
            return new Invoice_Dal().Select_Company();
        }

        public int Invoice_No()
        {
            return new Invoice_Dal().Invoice_Num();
        }
    }
}
