﻿using RGF_DAL;
using System;
using System.Data;

namespace RGF_BLL
{
    public class Usable_Bll
    {

        public static int Insert_User(string Name, string User_Name, string Pass, string User_Type, int User_Access, string Sec_Question, string Sec_Answer)
        {
            RGF_DAL.Usable_Dal users = new RGF_DAL.Usable_Dal();
            int R_Value = 0;
            R_Value = users.User(Name, User_Name, Pass, User_Type, User_Access, Sec_Question, Sec_Answer);
            return R_Value;
        }

        public DataTable Users_Info()
        {
            return new Usable_Dal().User_Info();
        }

        public int Del_User(int Id)
        {
            return new Usable_Dal().Delete_User(Id);
        }

        public DataTable User_Acc(string User_Name, string Pass)
        {
            return new Usable_Dal().Select_User(User_Name, Pass);
        }

        public DataTable Remember_Pass(string User_Name, string Sec_Question, string Sec_Answer)
        {
            return new Usable_Dal().Remember_User(User_Name, Sec_Question, Sec_Answer);
        }

        public double Total_Sell_Price()
        {
            return new Usable_Dal().Total_Sell();
        }

        public double Total_Buy_Price()
        {
            return new Usable_Dal().Total_Buy();
        }

        public double Total_Cost_Price()
        {
            return new Usable_Dal().Total_Cost();
        }

        public double Mounth_Sell()
        {
            return new Usable_Dal().Mouthsell();
        }

        public double Mounth_Buy()
        {
            return new Usable_Dal().Mouthbuy();
        }

        public double Day_Sell()
        {
            return new Usable_Dal().Daysell();
        }

        public double Day_Buy()
        {
            return new Usable_Dal().Daybuy();
        }

        public double Day_Cost()
        {
            return new Usable_Dal().Daycost();
        }

        public double Mounth_Cost()
        {
            return new Usable_Dal().Mounthcost();
        }

        public DataTable Dashboard_Up()
        {
            return new Usable_Dal().UP_Commodity();
        }

        public DataTable Dashboard_Down()
        {
            return new Usable_Dal().Down_Commodity();
        }

        public DataTable Dashboard_Invoice()
        {
            return new Usable_Dal().Best_Invoice();
        }

        public DataTable List_Invoice()
        {
            return new Usable_Dal().Invoice_List();
        }

        public DataTable List_Order(int Invoice_Id)
        {
            return new Usable_Dal().Order_List(Invoice_Id);
        }

        public DataTable Invoice_Payable(int Invoice_Id)
        {
            return new Usable_Dal().Invoice_Payable(Invoice_Id);
        }

        public DataTable Document_Info()
        {
            return new Usable_Dal().Document_Info();
        }

        public DataTable Doc_Commodity(int Document_Id)
        {
            return new Usable_Dal().Doc_Commodity(Document_Id);
        }

        public int Incoming_Count()
        {
            return new Usable_Dal().Doc_Incoming();
        }

        public int Outcoming_Count()
        {
            return new Usable_Dal().Doc_Outcoming();
        }

        public DataTable DB_Space()
        {
            return new Usable_Dal().DB_Space();
        }

        public int Insert_Backup(string User_Info, string Space_Used, DateTime Dat)
        {
            return new Usable_Dal().Insert_Backup(User_Info, Space_Used, Dat);
        }

        public DataTable Show_Backup()
        {
            return new Usable_Dal().Show_Backup();
        }

        public DataTable Show_Cost()
        {
            return new Usable_Dal().Show_Cost();
        }

        public DataTable IO_List()
        {
            return new Usable_Dal().IO_List();
        }

        public DataTable Inventory_Commodity()
        {
            return new Usable_Dal().Inventory_Commodity();
        }


        /// <summary>
        /// فهرست کالاهای با موجودی کمتر از 10
        /// </summary>
        /// <returns></returns>
        public DataView Inventory_Commodity_Down()
        {
            DataTable DT = new Usable_Dal().Inventory_Commodity();
            DataView DW = new DataView(DT);
            DW.RowFilter = "count <" + 10;
            return DW;
        }

        public double In_Inventory()
        {
            return new Usable_Dal().In_Inventory();
        }

        public double Out_Inventory()
        {
            return new Usable_Dal().Out_Inventory();
        }
    }
}
