﻿using RGF_DAL;
using System;
using System.Collections.Generic;
using System.Data;

namespace RGF_BLL
{
    public class Warehouse_Bll
    {
        public int _Id { get; set; }
        public string _Name { get; set; }
        public string _Phone_No { get; set; }
        public string _City { get; set; }
        public int _Area { get; set; }
        public string _Description { get; set; }

        public static int Insert_Warehouse(int Company_Id, int Type_Id, string Name, string Phone_No, string City, int Area, string Description)
        {
            RGF_DAL.Warehouse_Dal warehouses = new RGF_DAL.Warehouse_Dal();
            int R_Value = 0;
            R_Value = warehouses.Warehouse(Company_Id, Type_Id, Name, Phone_No, City, Area, Description);
            return R_Value;
        }

        public DataTable Ware_No_Combo()
        {
            return new Warehouse_Dal().Warehouse_Combo();
        }
       
        public static List<Warehouse_Bll> Full_Show()
        {
            RGF_DAL.Warehouse_Dal warehousetable = new RGF_DAL.Warehouse_Dal();
            IDataReader dr = warehousetable.Full_Display();
            List<Warehouse_Bll> warehouseList = new List<Warehouse_Bll>();
            while (dr.Read())
            {
                Warehouse_Bll ware = new Warehouse_Bll();
                ware._Id = Convert.ToInt32(dr["Id"]);
                ware._Name = dr["Name"].ToString();
                ware._Phone_No = dr["Phone_No"].ToString();
                ware._City = dr["City"].ToString();
                ware._Area = Convert.ToInt32(dr["Area"]);
                ware._Description = dr["Description"].ToString();
                warehouseList.Add(ware);
            }
            return warehouseList;
        }

        public int Warehouse_Num()
        {
            return new Warehouse_Dal().Ware_No();
        }
    }
}
