﻿using System;
using System.Data.SqlClient;
using System.Data;

namespace RGF_DAL
{
    public class Cost_Dal : Connection_Class
    {
        public int Cost(int Person_Id, string Cost, int Price, DateTime Dat)
        {
            return ExecuteNoneQuery(CommandType.Text, "Insert Into Tbl_Cost (Person_Id, Cost, Price, Dat) Values (@P, @N, @Pr, @D)", new SqlParameter[]
            {
                new SqlParameter("@P", Person_Id),
                new SqlParameter("@N", Cost),                
                new SqlParameter("@Pr", Price),
                new SqlParameter("@D", Dat),
            });
        }

        public DataTable Full_Display()
        {
            return ExecuteDataTable(System.Data.CommandType.Text, "Select Id, Cost, Price, (Name + ' ' + Last_Name) AS Fullname, Dat From View_Cost");
        }

        int Cost_No;
        public int Cost_Num()
        {
            try
            {
                SqlDataReader DR = ExecuteReader(System.Data.CommandType.Text, "Select Count(*) From Tbl_Cost");
                if (DR.Read())
                {
                    Cost_No = Int32.Parse(DR[0].ToString());
                }
                return Cost_No;
            }
            catch
            {
                return 0;
            }
        }
    }
}
