﻿using System;
using System.Data.SqlClient;
using System.Data;

namespace RGF_DAL
{
    public class Warehouse_Dal : Connection_Class
    {
        public int Warehouse(int Company_Id, int Type_Id, string Name, string Phone_No, string City, int Area, string Description)
        {
            return ExecuteNoneQuery(CommandType.Text, "Insert Into Tbl_Warehouse (Company_Id, Type_Id, Name, Phone_No, City, Area, Description) Values (@C, @T, @N, @P, @Ci, @A, @D)", new SqlParameter[]
            {
                new SqlParameter("@C", Company_Id),
                new SqlParameter("@T", Type_Id),
                new SqlParameter("@N", Name),
                new SqlParameter("@P", Phone_No),
                new SqlParameter("@Ci", City),
                new SqlParameter("@A", Area),
                new SqlParameter("@D", Description),
            });
        }

        public DataTable Warehouse_Combo()
        {
            return ExecuteDataTable(System.Data.CommandType.Text, "Select Id, Name From Tbl_Warehouse Order By Id");
        }

        public SqlDataReader Full_Display()
        {
            return ExecuteReader(System.Data.CommandType.Text, "Select Id, Name, Phone_No, City, Area, Description From Tbl_Warehouse");
        }

        int Warehouse_No;
        public int Ware_No()
        {
            try
            {
                SqlDataReader DR = ExecuteReader(System.Data.CommandType.Text, "SELECT Count(*) FROM Tbl_Warehouse");
                if (DR.Read())
                {
                    Warehouse_No = Int32.Parse(DR[0].ToString());
                }
                return Warehouse_No;
            }
            catch
            {
                return 0;
            }
        }
    }
}
