﻿using System;
using System.Windows.Forms;
using RGF_BLL;
using System.Drawing;
using System.Data;

namespace RGF_Inventory_Bonakdar
{
    public partial class Frm_Remember_Pass : Form
    {
        Usable_Bll used = new Usable_Bll();
        public static string User_Name, Pass, Sec_Question, Sec_Answer = "";

        public Frm_Remember_Pass()
        {
            InitializeComponent();
        }

        /// <summary>
        /// بستن پنجره با زدن اسکپ
        /// scape for close
        /// </summary>
        /// <param name="msg"></param>
        /// <param name="keyData"></param>
        /// <returns></returns>
        protected override bool ProcessCmdKey(ref Message msg, Keys keyData)
        {
            if (keyData == Keys.Escape)
            {
                this.Close();
                return true;
            }
            return base.ProcessCmdKey(ref msg, keyData);
        }

        private void Req_Pass()
        {
            try
            {
                DataTable DT = used.Remember_Pass(Txt_Username.Text.Trim(), Cmb_Question.Text.Trim(), Txt_Answer.Text.Trim());
                User_Name = DT.Rows[0]["User_Name"].ToString();
                Pass = DT.Rows[0]["Pass"].ToString();
                Sec_Question = DT.Rows[0]["Sec_Question"].ToString();
                Sec_Answer = DT.Rows[0]["Sec_Answer"].ToString();
                if (User_Name == Txt_Username.Text.Trim() && Sec_Question == Cmb_Question.Text.Trim() && Sec_Answer == Txt_Answer.Text.Trim())
                {
                    Lbl_Pass.Text = " کلمه عبور شما : " + DT.Rows[0]["Pass"].ToString();
                }
            }
            catch
            {
                Lbl_Pass.Text = "اطلاعات وارد شده صحیح نمی باشد !";
            }
        }

        private void Btn_Request_Click(object sender, EventArgs e)
        {
            if (string.IsNullOrWhiteSpace(Txt_Username.Text))
            {
                ToolTip TT = new ToolTip();
                TT.Active = true;
                TT.ToolTipTitle = "نام کاربری !";
                TT.ToolTipIcon = ToolTipIcon.Warning;
                TT.Show(string.Empty, Txt_Username, 5000);
                TT.Show("نام کاربری خود را وارد نمایید", Txt_Username);
            }
            else if (string.IsNullOrWhiteSpace(Cmb_Question.Text))
            {
                ToolTip TT = new ToolTip();
                TT.Active = true;
                TT.ToolTipTitle = "سوال امنیتی !";
                TT.ToolTipIcon = ToolTipIcon.Warning;
                TT.Show(string.Empty, Cmb_Question, 5000);
                TT.Show("سوال امنیتی را وارد کنید", Cmb_Question);
            }
            else if (string.IsNullOrWhiteSpace(Txt_Answer.Text))
            {
                ToolTip TT = new ToolTip();
                TT.Active = true;
                TT.ToolTipTitle = "جواب سوال !";
                TT.ToolTipIcon = ToolTipIcon.Warning;
                TT.Show(string.Empty, Txt_Answer, 5000);
                TT.Show("جواب سوال را وارد نمایید", Txt_Answer);
            }
            else if (Txt_Username.Text != "" && Cmb_Question.Text != "" && Txt_Answer.Text != "")
            {
                Req_Pass();
            }
        }
    }
}
