﻿using RGF_DAL;
using System;
using System.Collections.Generic;
using System.Data;

namespace RGF_BLL
{
    public class Category_Bll
    {
        public int _Id { get; set; }
        public int _Warehouse_Id { get; set; }
        public string _Name { get; set; }
        public string _Description { get; set; }

        public static int Insert_Category(int Warehouse_Id, string Name, string Description)
        {
            RGF_DAL.Category_Dal categories = new RGF_DAL.Category_Dal();
            int R_Value = 0;
            R_Value = categories.Category(Warehouse_Id, Name, Description);
            return R_Value;
        }

        public DataTable Cat_No_Combo()
        {
            return new Category_Dal().Cat_Combo();
        }

        public static List<Category_Bll> Full_Show()
        {
            RGF_DAL.Category_Dal categorytable = new RGF_DAL.Category_Dal();
            IDataReader dr = categorytable.Full_Display();
            List<Category_Bll> categoryList = new List<Category_Bll>();
            while (dr.Read())
            {
                Category_Bll cate = new Category_Bll();
                cate._Id = Convert.ToInt32(dr["Id"]);
                cate._Warehouse_Id = Convert.ToInt32(dr["Warehouse_Id"]);
                cate._Name = dr["Name"].ToString();
                cate._Description = dr["Description"].ToString();
                categoryList.Add(cate);
            }
            return categoryList;
        }
    }
}
