﻿using RGF_DAL;
using System;
using System.Collections.Generic;
using System.Data;

namespace RGF_BLL
{
    public class Commodity_Bll
    {
        public int _Commodity_Code { get; set; }
        public string _Group { get; set; }
        public string _Virtual_Warehouse { get; set; }
        public string _Name { get; set; }
        public string _Description { get; set; }
        public string _Image { get; set; }

        public static int Insert_Commodity(int Commodity_Code, int Group_Id, int Virtual_Warehouse_Id, string Name, string Description, string Image)
        {
            RGF_DAL.Commodity_Dal commodities = new RGF_DAL.Commodity_Dal();
            int R_Value = 0;
            R_Value = commodities.Commodity(Commodity_Code, Group_Id, Virtual_Warehouse_Id, Name, Description, Image);
            return R_Value;
        }

        public DataTable Commo_No_Combo()
        {
            return new Commodity_Dal().Commo_Combo();
        }

        public static List<Commodity_Bll> Full_Show()
        {
            RGF_DAL.Commodity_Dal commoditytable = new RGF_DAL.Commodity_Dal();
            IDataReader dr = commoditytable.Full_Display();
            List<Commodity_Bll> commodityList = new List<Commodity_Bll>();
            while (dr.Read())
            {
                Commodity_Bll commo = new Commodity_Bll();
                commo._Commodity_Code = Convert.ToInt32(dr["Commodity_Code"]);
                commo._Name = dr["Name"].ToString();
                commo._Group = dr["Expr1"].ToString();
                commo._Virtual_Warehouse = dr["Expr2"].ToString();   
                commo._Description = dr["Description"].ToString();
                commo._Image = dr["Image"].ToString();
                commodityList.Add(commo);
            }
            return commodityList;
        }

        public int Commo_No()
        {
            return new Commodity_Dal().Commodity_No();
        }
    }
}
