﻿using RGF_UI;
using System.Windows.Forms;

namespace RGF_BLL
{
    public class Serial
    {
        Commodity_Bll Commo_Count = new Commodity_Bll();
        Invoice_Bll Inv_Count = new Invoice_Bll();
        string CP = Information_Bll.Processor_SR();
        string MDB = Information_Bll.MainBoard_SR();
        string Serial_Hash;

        /// <summary>
        /// کدگذاری رشته حاوی سریال سی پی یو و مادربورد
        /// </summary>
        /// <returns></returns>
        public string SN_Code()
        {
            string Serial_Info = CP + MDB;
            if (Serial_Info != "")
            {
                Serial_Hash = Cryptor.Encrypt(Serial_Info, true);
            }
            else
            {
                Warning.ShowBox(@"عدم خواندن اطلاعات سخت افزاری رایانه !
لطفا با واحد پشتیبانی تماس حاصل فرمایید .", "هشدار");
            }
            return Serial_Hash;
        }

        /// <summary>
        /// چک کردن تعداد سطرهای درج شده در جدول اصلی دیتابیس
        /// </summary>        
        public void Trial_Expired()
        {
            int Quantity = Commo_Count.Commo_No() + Inv_Count.Invoice_No();
            if (Quantity >= 20)
            {
                User_Per.ShowBox(@"شما از نسخه ثبت نشده استفاده می کنید ...
نرم افزار منقضی و غیر فعال شده است !", "نسخه ثبت نشده");
            }           
        }
    }
}
