﻿using System;
using System.Data.SqlClient;
using System.Data;

namespace RGF_DAL
{
    public class Category_Dal : Connection_Class
    {
        public int Category(int Warehouse_Id, string Name, string Description)
        {
            return ExecuteNoneQuery(CommandType.Text, "Insert Into Tbl_Category (Warehouse_Id, Name, Description) Values (@W, @N, @D)", new SqlParameter[]
            {
                new SqlParameter("@W", Warehouse_Id),
                new SqlParameter("@N", Name),
                new SqlParameter("@D", Description),
            });
        }

        public DataTable Cat_Combo()
        {
            return ExecuteDataTable(System.Data.CommandType.Text, "Select Id, Name From Tbl_Category Order By Id");
        }

        public SqlDataReader Full_Display()
        {
            return ExecuteReader(System.Data.CommandType.Text, "Select * From Tbl_Category");
        }
    }
}
