﻿using System;
using System.Data.SqlClient;
using System.Data;

namespace RGF_DAL
{
    public class Commodity_Dal : Connection_Class
    {
        public int Commodity(int Commodity_Code, int Group_Id, int Virtual_Warehouse_Id, string Name, string Description, string Image)
        {
            return ExecuteNoneQuery(CommandType.Text, "Insert Into Tbl_Commodity (Commodity_Code, Group_Id, Virtual_Warehouse_Id, Name, Description, Image) Values (@C, @G, @V, @N, @D, @I)", new SqlParameter[]
            {
                new SqlParameter("@C", Commodity_Code),
                new SqlParameter("@G", Group_Id),
                new SqlParameter("@V", Virtual_Warehouse_Id),
                new SqlParameter("@N", Name),
                new SqlParameter("@D", Description),
                new SqlParameter("@I", Image),
            });
        }

        public DataTable Commo_Combo()
        {
            return ExecuteDataTable(System.Data.CommandType.Text, "Select Id, Name From Tbl_Commodity Order By Id");
        }

        public SqlDataReader Full_Display()
        {
            return ExecuteReader(System.Data.CommandType.Text, "Select * From View_Commodity");
        }

        int Commo_No;
        public int Commodity_No()
        {
            try
            {
                SqlDataReader DR = ExecuteReader(System.Data.CommandType.Text, "Select Count(*) From Tbl_Commodity");
                if (DR.Read())
                {
                    Commo_No = Int32.Parse(DR[0].ToString());
                }
                return Commo_No;
            }
            catch
            {
                return 0;
            }
        }
    }
}
