﻿using System;
using System.Data.SqlClient;
using System.Data;

namespace RGF_DAL
{
    public class Document_Dal : Connection_Class
    {
        public int Document(int Warehouse_Id, int Main_Document_No, string Type, bool Type_Bool, int Person_Id, DateTime Date, string Description)
        {
            return ExecuteNoneQuery(CommandType.Text, "Insert Into Tbl_Document (Warehouse_Id, Main_Document_No, Type, Type_Bool, Person_Id, Date, Description) Values (@W, @M, @T, @TB, @P, @D, @De)", new SqlParameter[]
            {
                new SqlParameter("@W", Warehouse_Id),
                new SqlParameter("@M", Main_Document_No),
                new SqlParameter("@T", Type),
                new SqlParameter("@TB", Type_Bool),
                new SqlParameter("@P", Person_Id),
                new SqlParameter("@D", Date),
                new SqlParameter("@De", Description),
            });
        }

        int Last_Document_Id;
        public int Last_Id()
        {
            try
            {
                SqlDataReader DR = ExecuteReader(System.Data.CommandType.Text, "SELECT Max(Id) FROM Tbl_Document");
                if (DR.Read())
                {
                    Last_Document_Id = Int32.Parse(DR[0].ToString());
                }
                return Last_Document_Id;
            }
            catch
            {
                return 0;
            }
        }

        int Doc_No;
        public int Document_No()
        {
            try
            {
                SqlDataReader DR = ExecuteReader(System.Data.CommandType.Text, "Select Count(*) From Tbl_Document");
                if (DR.Read())
                {
                    Doc_No = Int32.Parse(DR[0].ToString());
                }
                return Doc_No;
            }
            catch
            {
                return 0;
            }
        }
    }
}
