﻿using System;
using System.Data.SqlClient;
using System.Data;

namespace RGF_DAL
{
    public class Group_Dal : Connection_Class
    {
        public int Group(int Category_Id, string Name, string Description)
        {
            return ExecuteNoneQuery(CommandType.Text, "Insert Into Tbl_Group (Category_Id, Name, Description) Values (@C, @N, @D)", new SqlParameter[]
            {
                new SqlParameter("@C", Category_Id),
                new SqlParameter("@N", Name),
                new SqlParameter("@D", Description),
            });
        }

        public DataTable Gro_Combo()
        {
            return ExecuteDataTable(System.Data.CommandType.Text, "Select Id, Name From Tbl_Group Order By Id");
        }

        public SqlDataReader Full_Display()
        {
            return ExecuteReader(System.Data.CommandType.Text, "Select * From Tbl_Group");
        }

        int Group_No;
        public int Group_Num()
        {
            try
            {
                SqlDataReader DR = ExecuteReader(System.Data.CommandType.Text, "Select Count(*) From Tbl_Group");
                if (DR.Read())
                {
                    Group_No = Int32.Parse(DR[0].ToString());
                }
                return Group_No;
            }
            catch
            {
                return 0;
            }
        }
    }
}
