﻿using System;
using System.Data.SqlClient;
using System.Data;

namespace RGF_DAL
{
    public class Machine_Dal : Connection_Class
    {
        public int Machine(int Warehouse_Id, string Name, int Quantity, int Price)
        {
            return ExecuteNoneQuery(CommandType.Text, "Insert Into Tbl_Machinery (Warehouse_Id, Name, Quantity, Price) Values (@W, @N, @Q, @P)", new SqlParameter[]
            {
                new SqlParameter("@W", Warehouse_Id),
                new SqlParameter("@N", Name),
                new SqlParameter("@Q", Quantity),
                new SqlParameter("@P", Price),
            });
        }

        public DataTable Full_Display()
        {
            return ExecuteDataTable(System.Data.CommandType.Text, "Select Id, Name, Quantity, Price, (Quantity * Price) AS Sum, Expr1 From View_Machinery");
        }

        int Machine_No;
        public int Machine_Num()
        {
            try
            {
                SqlDataReader DR = ExecuteReader(System.Data.CommandType.Text, "Select Count(*) From Tbl_Machinery");
                if (DR.Read())
                {
                    Machine_No = Int32.Parse(DR[0].ToString());
                }
                return Machine_No;
            }
            catch
            {
                return 0;
            }
        }
    }
}
