﻿using System;
using System.Data.SqlClient;
using System.Data;

namespace RGF_DAL
{
    public class Person_Dal : Connection_Class
    {
        public int Person(int Company_Id, int Person_Code, string Name, string Last_Name, string Phone_No, string City, string Address, string Job_Type, bool Del)
        {
            return ExecuteNoneQuery(CommandType.Text, "Insert Into Tbl_Persons (Company_Id, Person_Code, Name, Last_Name, Phone_No, City, Address, Job_Type, Del) Values (@C, @P, @N, @L, @Ph, @Ci, @A, @J, @D)", new SqlParameter[]
            {
                new SqlParameter("@C", Company_Id),
                new SqlParameter("@P", Person_Code),
                new SqlParameter("@N", Name),
                new SqlParameter("@L", Last_Name),
                new SqlParameter("@Ph", Phone_No),
                new SqlParameter("@Ci", City),
                new SqlParameter("@A", Address),
                new SqlParameter("@J", Job_Type),
                new SqlParameter("@D", Del),
            });
        }

        public DataTable Person_Combo()
        {
            return ExecuteDataTable(System.Data.CommandType.Text, "Select Id, (Name + ' ' + Last_Name) As Name From Tbl_Persons Where Del =" + 0 + "Order By Id");
        }

        public SqlDataReader Half_Display()
        {
            return ExecuteReader(System.Data.CommandType.Text, "Select Id, Name, Last_Name, Job_Type From Tbl_Persons Where Del =" + 0);
        }

        public SqlDataReader Full_Display()
        {
            return ExecuteReader(System.Data.CommandType.Text, "Select Person_Code, Name, Last_Name, Phone_No, City, Address, Job_Type From Tbl_Persons");
        }

        int Personel_No;
        public int Person_No()
        {
            try
            {
                SqlDataReader DR = ExecuteReader(System.Data.CommandType.Text, "Select Count(*) From Tbl_Persons Where Del =" + 0);
                if (DR.Read())
                {
                    Personel_No = Int32.Parse(DR[0].ToString());
                }
                return Personel_No;
            }
            catch
            {
                return 0;
            }
        }       
    }
}
