﻿using System;
using System.Data.SqlClient;
using System.Data;

namespace RGF_DAL
{
    public class Unit_Dal : Connection_Class
    {
        public int Commo_Unit(int Commodity_Id, string Unit)
        {
            return ExecuteNoneQuery(CommandType.Text, "Insert Into Tbl_Unit (Commodity_Id, Unit) Values (@C, @U)", new SqlParameter[]
            {
                new SqlParameter("@C", Commodity_Id),
                new SqlParameter("@U", Unit),
            });
        }
        /// <summary>
        /// خواندن واحد کالا بدون مقدار تکراری
        /// </summary>
        /// <returns></returns>
        public DataTable Unit_Combo()
        {
            return ExecuteDataTable(System.Data.CommandType.Text, "Select DISTINCT Unit From Tbl_Unit");
        }
    }
}
